<?php
namespace Claromentis\Search\History;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] ?: array()) + array("_cbaf2b940f00a90" . "377b7ceca7c9d10f" . "9" => base64_decode("aW5jbHVkZV9hZ2dyZWdhdGlvbl9jb3Vud" . "A=="), "_9ac0a29384ab" . "8cc29f32ec18b" . "cc0acda" => base64_decode("aW5jbHVkZV9leG" . "FjdA=="));
use Claromentis\Search\Parameters;
class HistoryParameters extends Parameters
{
    protected bool $include_aggregation_count = false;
    protected bool $include_exact = true;
    public function __construct(array $parameters = [])
    {
        if (!empty($parameters)) {
            $this->InitFromArray($parameters);
        }
    }
    public function InitFromArray($_343a395319323dd7609bcbc465b4d034)
    {
        parent::InitFromArray($_343a395319323dd7609bcbc465b4d034);
        $this->SetIncludeAggregationCount($_343a395319323dd7609bcbc465b4d034[$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_cbaf2b940f00a90377b7c" . "eca7c9d10f9"]] ?? false);
        $this->SetIncludeExact($_343a395319323dd7609bcbc465b4d034[$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_9ac0a29384ab8cc29f3" . "2ec18bcc0acda"]] ?? true);
    }
    
    
    
    
    
    
    
    
    
    
    public function SetIncludeAggregationCount(bool $value)
    {
        $this->include_aggregation_count = $value;
    }
    public function GetIncludeAggregationCount() : bool
    {
        return $this->include_aggregation_count;
    }
    public function SetIncludeExact(bool $value)
    {
        $this->include_exact = $value;
    }
    public function GetIncludeExact() : bool
    {
        return $this->include_exact;
    }
}